## org.apache.xml.utils
Class StringBufferPool

    java.lang.Object
      |
      +--org.apache.xml.utils.StringBufferPool

public class StringBufferPool
extends java.lang.Object

This class pools string buffers, since they are reused so often. String buffers are good candidates for pooling, because of their supporting character arrays.

Usage:
  **For internal use only**

Constructor Summary
`StringBufferPool()`

Method Summary
`static void` `free(FastStringBuffer sb)` Return a string buffer back to the pool.
`static FastStringBuffer` `get()` Get the first free instance of a string buffer, or create one if there are no free instances.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringBufferPool

    public StringBufferPool()

Method Detail

### get

    public static FastStringBuffer get()

  Get the first free instance of a string buffer, or create one if there are no free instances.
  Returns:
    A string buffer ready for use.

### free

    public static void free(FastStringBuffer sb)

  Return a string buffer back to the pool.
  Parameters:
    `sb` - Must be a non-null reference to a string buffer.

Copyright © 2006 Apache XML Project. All Rights Reserved.